rtl2832-tuner_fc2580.h File Reference
`#include "rtl2832.h"`
Include dependency graph for rtl2832-tuner_fc2580.h:

Go to the source code of this file.

## Classes

class | RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc2580

## Namespaces

namespace | RTL2832_NAMESPACE
namespace | RTL2832_NAMESPACE::TUNERS_NAMESPACE

## Macros

#define | BORDER_FREQ 2600000
#define | USE_EXT_CLK 0
#define | OFS_RSSI 57
#define | FC2580_I2C_ADDR 0xac
#define | FC2580_CHECK_ADDR 0x01
#define | FC2580_CHECK_VAL 0x56
#define | FC2580_FCI_FAIL 0
#define | FC2580_FCI_SUCCESS 1

## Typedefs

typedef int | fc2580_fci_result_type

## Enumerations

enum | fc2580_band_type { FC2580_UHF_BAND , FC2580_L_BAND , FC2580_VHF_BAND , FC2580_NO_BAND }
enum | FUNCTION_STATUS { FUNCTION_SUCCESS , FUNCTION_ERROR }
enum | FC2580_AGC_MODE { FC2580_AGC_INTERNAL = 1 , FC2580_AGC_EXTERNAL = 2 }
enum | FC2580_BANDWIDTH_MODE { FC2580_BANDWIDTH_1530000HZ = 1 , FC2580_BANDWIDTH_6000000HZ = 6 , FC2580_BANDWIDTH_7000000HZ = 7 , FC2580_BANDWIDTH_8000000HZ = 8 }

## Functions

void | fc2580_wait_msec (RTL2832_NAMESPACE::tuner *pTuner, int a)
fc2580_fci_result_type | fc2580_set_init (RTL2832_NAMESPACE::tuner *pTuner, int ifagc_mode, unsigned int freq_xtal)
fc2580_fci_result_type | fc2580_set_freq (RTL2832_NAMESPACE::tuner *pTuner, unsigned int f_lo, unsigned int freq_xtal)
fc2580_fci_result_type | fc2580_set_filter (RTL2832_NAMESPACE::tuner *pTuner, unsigned char filter_bw, unsigned int freq_xtal)
int | fc2580_Initialize (RTL2832_NAMESPACE::tuner *pTuner)
int | fc2580_SetRfFreqHz (RTL2832_NAMESPACE::tuner *pTuner, unsigned long RfFreqHz)
int | fc2580_SetBandwidthMode (RTL2832_NAMESPACE::tuner *pTuner, int BandwidthMode)

## Macro Definition Documentation

## BORDER_FREQ

#define BORDER_FREQ 2600000

## FC2580_CHECK_ADDR

#define FC2580_CHECK_ADDR 0x01

## FC2580_CHECK_VAL

#define FC2580_CHECK_VAL 0x56

## FC2580_FCI_FAIL

#define FC2580_FCI_FAIL 0

## FC2580_FCI_SUCCESS

#define FC2580_FCI_SUCCESS 1

## FC2580_I2C_ADDR

#define FC2580_I2C_ADDR 0xac

## OFS_RSSI

#define OFS_RSSI 57

## USE_EXT_CLK

#define USE_EXT_CLK 0

## Typedef Documentation

## fc2580_fci_result_type

typedef int fc2580_fci_result_type

## Enumeration Type Documentation

## FC2580_AGC_MODE

enum FC2580_AGC_MODE

Enumerator
FC2580_AGC_INTERNAL |
FC2580_AGC_EXTERNAL |

## fc2580_band_type

enum fc2580_band_type

Enumerator
FC2580_UHF_BAND |
FC2580_L_BAND |
FC2580_VHF_BAND |
FC2580_NO_BAND |

## FC2580_BANDWIDTH_MODE

enum FC2580_BANDWIDTH_MODE

Enumerator
FC2580_BANDWIDTH_1530000HZ |
FC2580_BANDWIDTH_6000000HZ |
FC2580_BANDWIDTH_7000000HZ |
FC2580_BANDWIDTH_8000000HZ |

## FUNCTION_STATUS

enum FUNCTION_STATUS

Enumerator
FUNCTION_SUCCESS |
FUNCTION_ERROR |

## Function Documentation

## fc2580_Initialize()

int fc2580_Initialize | ( | RTL2832_NAMESPACE::tuner * | pTuner | ) |

## fc2580_set_filter()

fc2580_fci_result_type fc2580_set_filter | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned char | filter_bw,
|  | unsigned int | freq_xtal
| ) |  |

## fc2580_set_freq()

fc2580_fci_result_type fc2580_set_freq | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned int | f_lo,
|  | unsigned int | freq_xtal
| ) |  |

## fc2580_set_init()

fc2580_fci_result_type fc2580_set_init | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int | ifagc_mode,
|  | unsigned int | freq_xtal
| ) |  |

## fc2580_SetBandwidthMode()

int fc2580_SetBandwidthMode | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int | BandwidthMode
| ) |  |

## fc2580_SetRfFreqHz()

int fc2580_SetRfFreqHz | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long | RfFreqHz
| ) |  |

## fc2580_wait_msec()

void fc2580_wait_msec | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int | a
| ) |  |